ASP9 + Oracle 9i

Автор: CTAC Дата: 17.10.2003 05:34 В очередной раз ставлю Оракл 9i, и, как написано на [www.puschitz.com], всё время забываю разобраться с библиотеками glibc, всё как указано в пункте
"Error in invoking target install of make file /opt/oracle/product/9.2.0/network/lib/ins_oemagent.mk"

Дело в том, что в новых версия glibc (начиная с glibc-2.3.2-5) не экспортируется __ctype_b(), а вместно него - __ctype_b_loc()

Почему бы не пофиксить это дело в текущей версии glibc-*asp, чтобы не было идиотизма с выкачиванием старых рпм-ок, установкой их и откатом обратно (на современные), ради одного вызова функции.

Ну или хотя бы выложить на ftp старую версию - glibc-2.3.2-5, чтобы её можно было yum'ом ставить и обновлять без проблем...

Было бы очень удобно - да и в качестве рекламы:
"ASP для Оракла лучше, чем редхат!" Улыбка
Re: ASP9 + Oracle 9i 01.11.2003 15:30arTik Интересно... у меня такие проблемы были когда я пытался поставить Oracle 8... а вот 9-ка без проблем встала.... только надо на самом Oracle-овском сайте найти статью как ставить его под RedHat 9...
А в статье просто описываются некоторые параметры и что нужно создать группу и поьзователя и от него все делать...

Проблем у меня не было с 9-ым Oracle-ом... все гуд работает...
Re: ASP9 + Oracle 9i 26.07.2004 09:27night_mare_ Кстати,а АСП 9.2 даунгрейдить вообще нельзя. Систему придется переставлять. Может все-таки можно что-нибудь с этим сделать?
Re: ASP9 + Oracle 9i 27.07.2004 11:33Shurik night_mare_ писал(а):

> Кстати,а АСП 9.2 даунгрейдить вообще нельзя. Систему придется
> переставлять. Может все-таки можно что-нибудь с этим сделать?

Можно.
Лично я создал на харде локальный репрозиторий пакетов, в который слил всё с 3-х компактов ASPLinux9.2. Потом натравил на него yum. Система с ASPLinux9.0 обновилась до 9.2. Процесс занял где-то 2,5 часа.
RSS-материал